<?php require_once "header.php" ?>

    <h2>Informations sur l'équipe</h2>

    Nom de l'équipe : <?= $team->getName() ?><br/>
    Trigramme : <?= $team->getTrigram() ?><br/>
    Problème : <a href="<?= $URL_BASE . "/problem/" . $team->getProblem() ?>"><?= $team->getProblem() ?></a><br/>
<?php
if ($team->getEncadrantId() !== null) {
	$encadrant = User::fromId($team->getEncadrantId());
	$id = $encadrant->getId();
	echo "Encadrant : <a href=\"$URL_BASE/informations/$id/" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "\">" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "</a><br />";
}
for ($i = 1; $i <= 6; ++$i) {
	if ($team->getParticipants()[$i - 1] == NULL)
		continue;
	$participant = User::fromId($team->getParticipants()[$i - 1]);
	$id = $participant->getId();
	echo "Participant $i : <a href=\"$URL_BASE/informations/$id/" . $participant->getFirstName() . " " . $participant->getSurname() . "\">" . $participant->getFirstName() . " " . $participant->getSurname() . "</a><br />";
}
?>

    <hr/>

    <h2>Autorisations</h2>

<?php printDocuments($documents) ?>

    <form method="POST">
        <input style="width: 100%;" type="submit" name="download_zip" value="Télécharger l'archive"/>
    </form>

<?php if ($team->isSelectedForFinal()) { ?>
    <hr/>
    <h2>Autorisations pour la finale</h2>
	<?php printDocuments($documents_final) ?>
    <form method="POST">
        <input type="hidden" name="final" value="true" />
        <input style="width: 100%;" type="submit" name="download_zip" value="Télécharger l'archive"/>
    </form>
<?php } ?>

<?php if ($team->getValidationStatus() == ValidationStatus::WAITING && $_SESSION["role"] == Role::ADMIN) { ?>
    <form method="POST">
        <input style="width: 100%;" type="submit" name="validate" value="Valider l'équipe"/>
    </form>
	<?php
}

if (!$team->isSelectedForFinal() && $_SESSION["role"] == Role::ADMIN) { ?>
    <hr/>
    <form method="POST">
        <input style="width: 100%;" type="submit" name="select" value="Sélectionner pour la finale nationale"/>
    </form>
<?php } ?>

<?php require_once "footer.php" ?>